Page MenuHomePhabricator

Three Steps to Participant In Hackathon
Closed, ResolvedPublic

Description

If you want to be ready for the Wikimedia Hackathon 2017, here are three steps you can take to become more prepared!

STEP ONE: Review Documentation.
This is the main page: https://www.mediawiki.org/wiki/Wikimedia_Hackathon_2017
There are 6 sub pages in total that you should review and read through all the links:

  • Program: schedule of sessions and events, learn how to schedule sessions of your own & review our mentorship program.
  • Venue & Vienna: Photos and maps of the venue, descriptions of the rooms, details about the hotel and city.
  • Travel: General transportation and visa information
  • Participants: an editable list of all the participants and information about each participant, different ways to volunteer at the event, our organizing team, our sponsors.

This is the main Phabricator work-board where you can view possible projects, sessions, skill shares and other hackathon activities.
https://phabricator.wikimedia.org/project/view/2530/

STEP TWO: Connect & Download

STEP THREE: Meet & introduce

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 16 2017, 10:06 PM
Rfarrand triaged this task as Normal priority.Mar 16 2017, 10:15 PM
Qgil added a subscriber: Qgil.Mar 17 2017, 4:52 PM

Is this a task for this quarter for March or April (this quarter or the next one)?

I am not sure yet, so I will wait to assign it.

@Rfarrand If I'm not too late in the game, sharing a few ideas that we could try to do:

  • Run a few beginner level workshops on the side, we recruit people for doing so, and schedule the topics a couple of weeks in advance.
  • Create a dedicated group for newcomers on conpherence and encourage folks who have listed themselves as willing to mentor newbies to be active in this group.
  • Host an IRC chat or some other way to bring people together, help them form teams and share their project plans before the hackathon. It was a failed attempt at the time of dev summit, but we could still try to do something better this time :)

If some of this make sense, we could discuss it further or document it on the page.

@srishakatux

The vision of this specific task is to have a very easy three step process for new-er participants to take to be more prepared for the event that don't necessarily involve meetings, other events, specific time frames, etc. Basically things that anyone could do reasonably quickly at whatever moment they are online.

So more like:
Setting up IRC / Phab
Reviewing participant list and emailing another participant who might be working on something similar
Something else?!

Your ideas are interesting & I will comment on them here now but I think they would probably be best discussed in a different task / place:

Run a few beginner level workshops on the side, we recruit people for doing so, and schedule the topics a couple of weeks in advance.

WMAT is doing something like this and there are a few other pre-hackathon events that have happened or will be happening. If you or @Aklapper have specific ideas for this and want to do it in another from I would certainly support it. If yes, how about creating a task outlining your idea even more?

Create a dedicated group for newcomers on conpherence and encourage folks who have listed themselves as willing to mentor newbies to be active in this group.

Yeah, WMAT is doing a mentoring program which is still being developed. We also have many volunteers who have offered to "host" newcomers at the event which basically only means that they have agreed to introduce people to each other. I will be sending an email to all "hosts" WMAT will be developing the mentorship program.

Host an IRC chat or some other way to bring people together, help them form teams and share their project plans before the hackathon. It was a failed attempt at the time of dev summit, but we could still try to do something better this time :)

Sure if you are up for it and have ideas on how to expand the success of it I would certainly support this too! Kind of like we discussed in our meeting yesterday. Even if we only end up helping 3 people thats a success in my mind. This should also be done in partnership with WMAT so it might be worth presenting your plan to the hackathon mailing list hackathon@wikimedia.at and people from WMAT can comment back with other ideas or adjustments.

Shared a few ideas from above, w/ a couple of new ones on hackathon@wikimedia.at :)

Perfect, thanks! :)

sonkiki added a subscriber: sonkiki.EditedMay 3 2017, 9:17 AM

Hi, just adding to the mix:
the current state of this is:

WMAT will create a sub-page for the Mentoring Program on the event wiki, which will address newcomers.

Let me just copy & paste what we have come up with:

Share all the info we already have at a ‘Mentoring Program’ subsite on the Hackathon MediaWiki Page

This prepares both mentors and newcomers in advance! Also, it stresses the importance of this program, with regular participants too, and it makes the whole program more visible and transparent. This page contains:

  1. Mission statement

Definition of the mentoring program and why it’s important to us
1.a Guidelines for mentors

  1. Lists of confirmed mentors

So newcomers can look it over to meet them in advance
Mentors can add a description of themselves, or a quote, and their contact details if they like

  1. Link to possible projects on features projects page in MediaWiki
  1. Resources for newbies

Take from here: https://www.wikimedia.at/hackathon/workshops/resources/

  1. Schedule of mentoring program during the hackathon

Opening ceremony together, then mentors and newbies will go to separate room to meet each other and get acquainted, afterwards they separate into groups to work on projects
Develop this schedule in close cooperation of WMAT and WMF: Sonja, Srishti and Rachel!

sonkiki added a comment.EditedMay 3 2017, 9:20 AM

This page will be set up by the end of this week (Saturday 6)

Rfarrand updated the task description. (Show Details)May 11 2017, 8:43 PM

I have taken the liberty to make small edits to these excellent three steps that you created, @Rfarrand, and put them on the Wiki page under "Participants": https://www.mediawiki.org/wiki/Wikimedia_Hackathon_2017/Participants#Three_Steps_to_Prepare_for_the_Wikimedia_Hackathon

I also linked these three steps on the Mentoring Page (https://www.mediawiki.org/wiki/Wikimedia_Hackathon_2017/Mentoring_Program#Newcomers), so that Newcomers are aware of these three steps, too!

Of course we can keep them on Phabricator, too.

(this comment is posted both in the Google Doc and on Phabricator)

Rfarrand closed this task as Resolved.May 12 2017, 7:25 PM

We will be pointing to the three steps to participate in the outgoing email to participants today as well.